Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.validate
Class ImmutableColumn

    java.lang.Object
      org.modeshape.jcr.query.validate.ImmutableColumn

All Implemented Interfaces:
  Schemata.Column

Direct Known Subclasses:
  PlanUtil.AbsentColumn

    @Immutable
    public class ImmutableColumn

extends Object
implements Schemata.Column

Field Summary
`static Set<Operator>` | `ALL_OPERATORS`
`static boolean` | `DEFAULT_FULL_TEXT_SEARCHABLE`
`static boolean` | `DEFAULT_ORDERABLE`
`static PropertyType` | `DEFAULT_REQUIRED_TYPE`
`static Set<Operator>` | `NO_OPERATORS`

Constructor Summary
`protected` | `ImmutableColumn(String name, String type)`
`protected` | `ImmutableColumn(String name, String type, PropertyType requiredType)`
`protected` | `ImmutableColumn(String name, String type, PropertyType requiredType, boolean fullTextSearchable)`
`protected` | `ImmutableColumn(String name, String type, PropertyType requiredType, boolean fullTextSearchable, boolean orderable, boolean canContainReferences, Object minimum, Object maximum, Operator... operators)`
`protected` | `ImmutableColumn(String name, String type, PropertyType requiredType, boolean fullTextSearchable, boolean orderable, Object minimum, Object maximum, Set<Operator> operators)`

Method Summary
`Object` | `getMaximum()`
`Object` | `getMinimum()`
`String` | `getName()` Get the name for this column.
`Set<Operator>` | `getOperators()` Get the set of operators that can be used in a comparison involving this column.
`String` | `getPropertyTypeName()` Get the property type for this column.
`PropertyType` | `getRequiredType()`
`boolean` | `isComparable()` Get whether this column can be used within a comparison using `operators` other than `Operator.EQUAL_TO` or `Operator.NOT_EQUAL_TO`.
`boolean` | `isFullTextSearchable()` Get whether the column can be used in a full-text search.
`boolean` | `isOrderable()` Get whether this column can be used within an `ORDER BY clause`.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_OPERATORS

    public static final Set<Operator> ALL_OPERATORS

### NO_OPERATORS

    public static final Set<Operator> NO_OPERATORS

### DEFAULT_REQUIRED_TYPE

    public static final PropertyType DEFAULT_REQUIRED_TYPE

### DEFAULT_FULL_TEXT_SEARCHABLE

    public static final boolean DEFAULT_FULL_TEXT_SEARCHABLE

See Also:
  Constant Field Values

### DEFAULT_ORDERABLE

    public static final boolean DEFAULT_ORDERABLE

See Also:
  Constant Field Values

Constructor Detail

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              PropertyType requiredType)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              PropertyType requiredType,
                              boolean fullTextSearchable)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              PropertyType requiredType,
                              boolean fullTextSearchable,
                              boolean orderable,
                              boolean canContainReferences,
                              Object minimum,
                              Object maximum,
                              Operator... operators)

### ImmutableColumn

    protected ImmutableColumn(String name,
                              String type,
                              PropertyType requiredType,
                              boolean fullTextSearchable,
                              boolean orderable,
                              Object minimum,
                              Object maximum,
                              Set<Operator> operators)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Schemata.Column`
  Get the name for this column.

  Specified by:
    `getName` in interface `Schemata.Column`
  Returns:
    the column name; never null

### getPropertyTypeName

    public String getPropertyTypeName()

  Description copied from interface: `Schemata.Column`
  Get the property type for this column.

  Specified by:
    `getPropertyTypeName` in interface `Schemata.Column`
  Returns:
    the property type; never null

### isFullTextSearchable

    public boolean isFullTextSearchable()

  Description copied from interface: `Schemata.Column`
  Get whether the column can be used in a full-text search.

  Specified by:
    `isFullTextSearchable` in interface `Schemata.Column`
  Returns:
    true if the column is full-text searchable, or false otherwise

### isOrderable

    public boolean isOrderable()

  Description copied from interface: `Schemata.Column`
  Get whether this column can be used within an `ORDER BY clause`.

  Specified by:
    `isOrderable` in interface `Schemata.Column`
  Returns:
    true if this column can be used in an order specification, or false otherwise

### isComparable

    public boolean isComparable()

  Description copied from interface: `Schemata.Column`
  Get whether this column can be used within a comparison using `operators` other than `Operator.EQUAL_TO` or `Operator.NOT_EQUAL_TO`.

  Specified by:
    `isComparable` in interface `Schemata.Column`
  Returns:
    true if the column can be used in a comparison other than "=" or "!=", or false if only "=" and/or "!=" can be used

### getMinimum

    public Object getMinimum()

  Specified by:
    `getMinimum` in interface `Schemata.Column`

### getMaximum

    public Object getMaximum()

  Specified by:
    `getMaximum` in interface `Schemata.Column`

### getRequiredType

    public PropertyType getRequiredType()

  Specified by:
    `getRequiredType` in interface `Schemata.Column`

### getOperators

    public Set<Operator> getOperators()

  Description copied from interface: `Schemata.Column`
  Get the set of operators that can be used in a comparison involving this column.

  Specified by:
    `getOperators` in interface `Schemata.Column`
  Returns:
    the operators; never null but possibly empty

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.